XvQueryBestSize(3)

NAME
XvQueryBestSize - determine the optimum drawable region size

SYNOPSIS
#include <X11/extensions/Xvlib.h>

int XvQueryBestSize(Display *dpy, XvPort port, Bool motion,
                    unsigned int vw, unsigned int vh,
                    unsigned int dw, unsigned int dh,
                    unsigned int *p_dw, unsigned int *p_dh);

ARGUMENTS

dpy Specifies the connection to the X server.

port
    Defines the port associated with the display and adaptor for which the optimum size is to be calculated.

motion
    Specifies True if the destination size needs to support full motion, and False if the destination size need only support still images.

vw,vh
    Specifies the size of the source video region desired.

dw,dh
    Specifies the size of the destination drawable region desired.

p_dw,p_dh
    Pointers to where the closest destination sizes supported by the server are returned.

DESCRIPTION
Some ports may be able to scale incoming or outgoing video. XvQueryBestSize(3) returns the size of the closest destination region that is supported by the adaptor. The returned size is guaranteed to be smaller than the requested size if a smaller size is supported.

RETURN VALUES

[Success]
    Returned if XvQueryBestSize(3) completed successfully.

[XvBadExtension]
    Returned if the Xv extension is unavailable.

[XvBadAlloc]
    Returned if XvQueryBestSize(3) failed to allocate memory to process the request.

DIAGNOSTICS

[XvBadPort]
    Generated if the requested port does not exist.